Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2022-07-27 13:30:11

Yaragehce
New Member
Registered: 2022-07-27
Posts: 3

Upgrade v4.4.1 to v4.8.8

Hello!

I don´t know if I´m posting in the right place but I have a quick question related to upgrade the textpattern framework from version 4.4.1 (2011) to 4.8.8 (2022). Do you think is possible to do it directly? Do you recommend that from architecture point of view?

Thanks in advance and I appreciate any guidance.
D.

Last edited by Yaragehce (2022-07-27 13:31:24)

Offline

#2 2022-07-27 18:15:50

jakob
Admin
From: Germany
Registered: 2005-01-20
Posts: 4,368
Website

Re: Upgrade v4.4.1 to v4.8.8

It should be possible but people have had varying success and have used an interim version as a stepping stone. You may find the your PHP version of your server will dictate which interim version you use.

A definite recommendation is make a full backup of your site’s files and particularly of the database (sql backup of all tables and their content using your host’s phpmyadmin or similar) so there’s always something to go back to should it not immediately work.

If you can still access the old site, can you list which plugins are installed (Admin > Plugins). They may be more of a problem. Thankfully many of the older plugins are no longer needed because Textpattern itself now offers the corresponding functionality but you may need to adapt your templates slightly. People here on the forum can advise on that if you post back with the details. If you don’t have access to txp any more, the plugins are listed in the database in the table called txp_plugins.


TXP Builders – finely-crafted code, design and txp

Offline

#3 2022-07-28 14:21:05

Yaragehce
New Member
Registered: 2022-07-27
Posts: 3

Re: Upgrade v4.4.1 to v4.8.8

Thank you very much jakob for your help!
I´ll do those steps.

Best Regards,

Offline

#4 2022-08-14 03:44:21

peterj
Member
From: Melbourne, Australia
Registered: 2005-06-02
Posts: 89

Re: Upgrade v4.4.1 to v4.8.8

I agree with Jakob and suggest using TXP4.6.2 as a stepping stone. I have an archive of plugin versions known to work on TXP 4.6 which I’d be happy to share, and separate archives for 4.7 and 4.8.

I have sites from 2008-10 running 4.8.8 on php8. Most issues were with plugins (e.g. glz_custom_fields needs v1.5 prior to txp4.7 and then v2 from txp 7 onwards; tru_tags; bot_wtc).

Core code is a bit stricter, so suggest installing smd_where_used to find things mentioned in debug notices.

Offline

#5 Yesterday 20:35:33

Yaragehce
New Member
Registered: 2022-07-27
Posts: 3

Re: Upgrade v4.4.1 to v4.8.8

peterj wrote #333777:

I agree with Jakob and suggest using TXP4.6.2 as a stepping stone. I have an archive of plugin versions known to work on TXP 4.6 which I’d be happy to share, and separate archives for 4.7 and 4.8.

I have sites from 2008-10 running 4.8.8 on php8. Most issues were with plugins (e.g. glz_custom_fields needs v1.5 prior to txp4.7 and then v2 from txp 7 onwards; tru_tags; bot_wtc).

Core code is a bit stricter, so suggest installing smd_where_used to find things mentioned in debug notices.

Ohh will be nice peterj to have those versions: TXP4.6.2, then 4.7 and 4.8. If you can send me those files I´ll appreciate :D

Offline

#6 Yesterday 23:16:13

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,277

Re: Upgrade v4.4.1 to v4.8.8

Yaragehce wrote #333790:

Ohh will be nice peterj to have those versions: TXP4.6.2, then 4.7 and 4.8. If you can send me those files I´ll appreciate :D

Older versions can be found on GitHub.


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#7 Today 08:57:19

gaekwad
Server grease monkey
From: People's Republic of Cornwall
Registered: 2005-11-19
Posts: 3,905
GitHub

Re: Upgrade v4.4.1 to v4.8.8

uli wrote #333791:

Older versions can be found on GitHub.

And really old versions can be found here: github.com/textpattern-community/textpattern-releases

Offline

Board footer

Powered by FluxBB